Subject: Upgrading "Less" (I think) breaks BitKeeper?
From: "Javier" <[email-masked]>
To: [email-masked]
Date: Tue, 17 Dec 2002 05:51:45 +0100

Hi all!!

I've just done my weekly "update cygwin and associated thingies"
routine.
Today I had a fairly hefty go:

less-378
cpio-2.5-1
patch-2.5.8-2
groff-1.18.1-1
gcc-mingw-20020817-3
gdb-20021215-1

and after updating, I set to changing my web site, and when I issued a
simple bk citool (to check in changes), I get this popup:

"Couldn' t load library H:/cygwin/lib/reg1.0/tclreg83.dll" This library
or a dependent library could not be found in library path while
executing
"load H:/cygwin/lib/reg1.0/tclreg83.dll registry"
  ("package ifneeded" script)
invoked from within
"package require registry"
  (procedure "getConfig" line 131)
  invoked from within
"getConfig "ci""
  (procedure "citool" line 4)
  invoked from within
"citool
"
  (file "h:/archiv~/bitkee~1/citool" line 4063)

Am I the only one seeing this?

Is there a way to solve it? Or, alternatively, what changes should I
"undo" (ie, packages to get to previous version) to get bk working
again??

(also, installing the latest Bitkeeper Package didn't help, either)

    Thanks a lot for all and any pointers..

    Javier

--
«Work like you don't need the money.
  Dance like nobody's watching.
 Love like you've never been hurt.»

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/